compilation problem

These are old archives. They are kept for historic purposes only.
Post Reply
Ravages
Posts: 3
Joined: Sun Jan 09, 2005 1:18 am

compilation problem

Post by Ravages » Sun Jan 09, 2005 1:19 am

Hei i have Unreal 3.2.2 and i become an error if i want to compile and i become an error

Code: Select all

(ircjunx@billy)-(~/IRC/Unreal3.2) $ make custommodule MODULEFILE=antimoon
cd src; make 'CFLAGS=-I../include -I/home/ircjunx/IRC/Unreal3.2/extras/regexp/include -pipe -g -O2 -funsigned-char -export-dynamic  ' 'CC=gcc' 'IRCDLIBS=-lcrypt -lnsl  -ldl -L../extras/regexp/lib -ltre' 'LDFLAGS=' 'IRCDMODE=711' 'RES=' 'BINDIR=/home/ircjunx/IRC/Unreal3.2/src/ircd' 'INSTALL=/usr/bin/install' 'INCLUDEDIR=../include' 'IRCDDIR=/home/ircjunx/IRC/Unreal3.2' 'RM=/bin/rm' 'CP=/bin/cp' 'TOUCH=/usr/bin/touch' 'SHELL=/bin/sh' 'STRTOUL=' 'CRYPTOLIB=-lssl -lcrypto' 'CRYPTOINCLUDES=' 'URL=' MODULEFILE=antimoon 'EXLIBS=' custommodule
make[1]: Entering directory `/home/ircjunx/IRC/Unreal3.2/src'
cd modules; make 'CFLAGS=-I../include -I/home/ircjunx/IRC/Unreal3.2/extras/regexp/include -pipe -g -O2 -funsigned-char -export-dynamic  ' 'CC=gcc' 'IRCDLIBS=-lcrypt -lnsl  -ldl -L../extras/regexp/lib -ltre' 'LDFLAGS=' 'IRCDMODE=711' 'BINDIR=/home/ircjunx/IRC/Unreal3.2/src/ircd' 'INSTALL=/usr/bin/install' 'INCLUDEDIR=../include' 'IRCDDIR=/home/ircjunx/IRC/Unreal3.2' 'MANDIR=' 'RM=/bin/rm' 'CP=/bin/cp' 'TOUCH=/usr/bin/touch' 'RES=' 'SHELL=/bin/sh' 'STRTOUL=' 'CRYPTOLIB=-lssl -lcrypto' 'CRYPTOINCLUDES=' 'URL='  MODULEFILE=antimoon 'EXLIBS=' custommodule
make[2]: Entering directory `/home/ircjunx/IRC/Unreal3.2/src/modules'
gcc -I../include -I/home/ircjunx/IRC/Unreal3.2/extras/regexp/include -pipe -g -O2 -funsigned-char -export-dynamic   -fPIC -DPIC -shared  -DDYNAMIC_LINKING \
        -o antimoon.so antimoon.c
In file included from ../include/modules.h:637,
                 from ../include/struct.h:842,
                 from antimoon.c:21:
../include/version.h:38: unterminated string or character constant
../include/version.h:33: possible real start of unterminated constant
../include/version.h:7: unterminated `#if' conditional
In file included from ../include/struct.h:842,
                 from antimoon.c:21:
../include/modules.h:639: parse error before `PATCH4'
make[2]: *** [custommodule] Error 1
make[2]: Leaving directory `/home/ircjunx/IRC/Unreal3.2/src/modules'
make[1]: *** [custommodule] Error 2
make[1]: Leaving directory `/home/ircjunx/IRC/Unreal3.2/src'
make: *** [custommodule] Error 2
(ircjunx@billy)-(~/IRC/Unreal3.2) $ 

Syzop
UnrealIRCd head coder
Posts: 1957
Joined: Sat Mar 06, 2004 8:57 pm
Location: .nl
Contact:

Post by Syzop » Sun Jan 09, 2005 1:25 am

Odd, it seems your include/version.h got screwed up...
Makes me wonder how you managed to compile Unreal3.2.2 itself? ;)
If you didn't touch it, then show us your include/version.h (paste it in a [ code ] block, the file is quite small).

Ravages
Posts: 3
Joined: Sun Jan 09, 2005 1:18 am

Post by Ravages » Sun Jan 09, 2005 2:48 am

ah yeah i have found the error it was in the version.h xD thx

hm wtf lol i have configure -- module .. an add loadmodule in the unrealircd.conf if i rehash it write
[03:50:20] -rav.IRCjunx.net- *** Notice -- unrealircd.conf:17: loadmodule src/modules/m_bopmhelper.so: failed to load: Module was compiled for 'Unreal3.2/SSL', we are 'Unreal3.2.2/SSL', please recompile the module

my version.h is

Code: Select all

/*
**
** version.h
** UnrealIRCd
** $Id: version.h,v 1.1.1.1.2.17 2004/10/27 18:45:20 syzop Exp $
*/
#ifndef __versioninclude
#define __versioninclude 1

/*
 * Mark of settings
 */
#ifdef DEBUGMODE
#define DEBUGMODESET "+(debug)"
#else
#define DEBUGMODESET ""
#endif
 /**/
#ifdef DEBUG
#define DEBUGSET "(Debug)"
#else
#define DEBUGSET ""
#endif
     /**/
#define COMPILEINFO DEBUGMODESET DEBUGSET
/*
 * Version Unreal3.2.2
 */
#define UnrealProtocol          2305
#define PATCH1                  "3"
#define PATCH2                  ".2"
#define PATCH3                  ""
#define PATCH4                  ""
#define PATCH5                  ""
#define PATCH6                  ""
#define PATCH7                  ""
#define PATCH8                  COMPILEINFO
#define PATCH9                  ""
/* release header */
#define Rh BASE_VERSION
#define VERSIONONLY             PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7
#endif /* __versioninclude */

Syzop
UnrealIRCd head coder
Posts: 1957
Joined: Sat Mar 06, 2004 8:57 pm
Location: .nl
Contact:

Post by Syzop » Sun Jan 09, 2005 3:21 am

hm wtf lol i have configure -- module .. an add loadmodule in the unrealircd.conf if i rehash it write
[03:50:20] -rav.IRCjunx.net- *** Notice -- unrealircd.conf:17: loadmodule src/modules/m_bopmhelper.so: failed to load: Module was compiled for 'Unreal3.2/SSL', we are 'Unreal3.2.2/SSL', please recompile the module
Quite simple.. you are loading a module that was compiled for Unreal3.2 on a Unreal3.2.2 server. Fortunately UnrealIRCd is preventing you from doing that since it can easily crash your server.
The solution is... guess what? recompiling the module.

**
Actualy, I wonder what you are doing :P. You seem to be messing 3.2 and 3.2.2 up (like the version.h you showed me is 3.2??), probably a good idea to extract 3.2.2 somewhere and configure&compile it from scratch and then copy your configs, motds etc all over.

Ravages
Posts: 3
Joined: Sun Jan 09, 2005 1:18 am

Post by Ravages » Sun Jan 09, 2005 4:37 am

eggz my english is very shit but i think i have undestand ind the version.h i have changed the path3 :P i have writed beta 19 hehe but changed back sry :) i have see your page you make upgrades an install modules for proxy attacks etc ? for money i`m interessed

Post Reply